This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 529818

Summary: Unable to query PCF/BDF fonts
Product: [Fedora] Fedora Reporter: Akira TAGOH <tagoh>
Component: fontconfigAssignee: Akira TAGOH <tagoh>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: behdad, fonts-bugs, i18n-bugs
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Akira TAGOH 2009-10-20 05:09:45 EDT
Description of problem:
fc-query fails with the PCF/BDF fonts.

% fc-query /usr/share/fonts/knm_new/knm12p.pcf.gz
Can't query face 0 of font file /usr/share/fonts/knm_new/knm12p.pcf.gz

Version-Release number of selected component (if applicable):
fontconfig-2.7.3-1.fc12.i386
Comment 1 Akira TAGOH 2009-10-20 05:13:26 EDT
I've attached the proposed patch to upstream bugzilla fwiw.
Comment 2 Bug Zapper 2009-11-16 08:53:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-11-04 05:21:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Akira TAGOH 2010-11-12 02:54:08 EST
I'd like to keep this issue open till we get a feature of modifying the lang in fontconfig upstream. that would helps this situation to allow enabling the fonts for the certain language. moving to rawhide with FutureFeature tag.
Comment 5 Fedora Admin XMLRPC Client 2012-01-10 10:42:46 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2012-03-21 21:38:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.